import { Route, Routes, createBrowserRouter, useNavigate } from 'react-router-dom';
import 'regenerator-runtime/runtime';
import routes from './routes';
import { Provider } from 'react-redux';
import { PersistGate } from 'redux-persist/integration/react';
import { persistore, store } from './stores/configureStore';
import { Login } from './pages';
import { DefaultLayout } from './layouts';

// const router = createBrowserRouter(routes)

function App() {
  return (
    <>
    <Provider store={store}>
      <PersistGate persistor={persistore}>
        <Routes>
          <Route index element={<Login />} />
          <Route element={<DefaultLayout />}>
              {routes.map(({ path, name, element}) => (
                <>
                <Route
                  path={path}
                  id={name}
                  element={element}
                />
                </>
              ))}
          </Route>
        </Routes>
      </PersistGate>
    </Provider>
    </>
  )
}

export default App
