const ProgressBar = (props) => {
  const { bgcolor, completed } = props;

  const containerStyles = {
    height: 5,
    width: '100%',
    backgroundColor: "#e0e0de",
    borderRadius: 50,
  }

  const fillerStyles = {
    height: '100%',
    width: `${completed}%`,
    backgroundColor: bgcolor,
    borderRadius: 'inherit',
    textAlign: 'right'
  }

  const labelStyles = {
    padding: 5,
    color: 'black',
    fontWeight: 'bold'
  }

  return (
    <div className="mt-4 mb-4">
      <div className="flex flex-row justify-between">
          <p style={labelStyles}>{props.label}</p>
          <p style={labelStyles}>{props.completed} %</p>
      </div>
      <div style={containerStyles}>
        <div style={fillerStyles}>
        </div>
      </div>
    </div>
  );
};

export default ProgressBar;