import { useMemo } from 'react';
import { DataTable } from '../../components';
import data from '../../datas/articles.json';
import moment from 'moment';

const News = () => {

  let roleTemp = [];
  data.map(({ type }) => {
    roleTemp.push(type)
  })

  const proccessed_data = data.map((obj, i) => ({ ...obj, publish_date: moment(obj.publish_date).format('DD MMMM YYYY')}))

  const type_set = new Set([...roleTemp]);
  const type = [...type_set];

  const columns = useMemo(
    () => [
      {
        Header: "No",
        id: 'rowNumber',
        width: 10,
      },
      {
        Header: "Type",
        accessor: 'type'
      },
      {
        Header: "Title",
        accessor: 'title'
      },
      {
        Header: "Publish",
        accessor: 'publish_date'
      },
    ]
  )


  return (
    <>
      <div className="flex flex-row justify-end">
        <button className='bg-primary rounded justify-center hover:bg-opacity-70 text-gray font-medium px-4 py-3 flex'>
        <svg xmlns="http://www.w3.org/2000/svg" className="mr-3 w-6 h-6" style={{ alignSelf: 'center' }} fill="white" viewBox="0 -960 960 960" ><path d="M450-450H200v-60h250v-250h60v250h250v60H510v250h-60v-250Z"/></svg>
          Create News
        </button>
      </div>
      <div className="p-4 bg-white mt-8 rounded">
        <div className='mt-4'>
          <DataTable columns={columns} data={proccessed_data} tabFilterData={type} />
        </div>
      </div>
    </>
  )
}

export default News;